﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .tickdetail
        {
            width: 250px;
            height: 250px;
        }
        .clogo
        {
            width: 250px;
            height: 200px;
        }
        .tickdesc
        {
            width: 250px;
            height: 50px;
        }
    </style>

    <script type="text/javascript">
        function OnClientItemShown(oRotator, args)
        {
            var item_id = args.get_item().get_element().firstChild.id;
            var tickerID = item_id + "_RadTicker1";
            setTimeout(
                function()
                {
                    var oTicker = $find(tickerID);
                    oTicker.startTicker();
                }, 0);
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <telerik:RadRotator ID="RadRotator1" RotatorType="Buttons" runat="server" DataSourceID="XmlDataSource1"
        Width="290" ItemWidth="250px" FrameDuration="2000" ScrollDuration="800" Height="250px"
        ItemHeight="250" OnClientItemShown="OnClientItemShown">
        <ItemTemplate>
            <div class="tickdetail">
                <div>
                    <img class="clogo" src="<%# XPath("ImageURL") %>" alt="" />
                </div>
                <div class="tickdesc">
                    <telerik:RadTicker ID="RadTicker1" runat="server" TickSpeed="50">
                        <Items>
                            <telerik:RadTickerItem Text='<%# XPath("ImageURL") %>' />
                        </Items>
                    </telerik:RadTicker>
                </div>
            </div>
        </ItemTemplate>
    </telerik:RadRotator>
    <asp:XmlDataSource ID="XmlDataSource1" runat="server" DataFile="FlowersXML.xml">
    </asp:XmlDataSource>
    </form>
</body>
</html>
